Does Vicidial supports PHP 8.0.X/8.1.X?

Discussions about development of VICIDIAL and astGUIclient

Moderators: gerski, enjay, williamconley, Op3r, Staydog, gardo, mflorell, MJCoate, mcargile, Kumba, Michael_N

Does Vicidial supports PHP 8.0.X/8.1.X?

Postby LEOXXX » Wed Apr 06, 2022 4:40 am

Hi All,

Is there anyone tried using php 8.0.X/8.1.X on any version of vicidial?

Thanks a lot for any feedbacks!
Vicidial VERSION: 2.14-850a
BUILD: 220310-1007
Vicibox Version: 10.0.0 from .iso
SVN Version: 3690
ASTERISK : 13.38.2-vici
DBSchema: 1656
DB Version: 10.5.8-MariaDB
Single Server
XenServer release 7.5.0
Intel(R) Xeon(R) CPU X5570 @ 2.93GHz
LEOXXX
 
Posts: 8
Joined: Fri Mar 11, 2022 7:13 am

Re: Does Vicidial supports PHP 8.0.X/8.1.X?

Postby mflorell » Wed Apr 06, 2022 6:28 am

We did some basic testing using an early PHP8 version last year, and I know we've made some specific changes because of reported PHP8 incompatibilities in the last several months, but we have not conducted any exhaustive testing using PHP8 yet.
mflorell
Site Admin
 
Posts: 17995
Joined: Wed Jun 07, 2006 2:45 pm
Location: Florida

Re: Does Vicidial supports PHP 8.0.X/8.1.X?

Postby LEOXXX » Thu Apr 07, 2022 5:13 am

Thanks for the info Matt, will try to use and test php8 on our test environment. I will provide an update here once done.
Vicidial VERSION: 2.14-850a
BUILD: 220310-1007
Vicibox Version: 10.0.0 from .iso
SVN Version: 3690
ASTERISK : 13.38.2-vici
DBSchema: 1656
DB Version: 10.5.8-MariaDB
Single Server
XenServer release 7.5.0
Intel(R) Xeon(R) CPU X5570 @ 2.93GHz
LEOXXX
 
Posts: 8
Joined: Fri Mar 11, 2022 7:13 am


Return to Development

Who is online

Users browsing this forum: No registered users and 10 guests

cron